accrue.analysis.interprocanalysis

## Class NativeNodeIdentifier_c

- java.lang.Object
- - accrue.analysis.interprocanalysis.NodeIdentifier_c
  - - accrue.analysis.interprocanalysis.NativeNodeIdentifier_c

- All Implemented Interfaces:
    NativeNodeIdentifier, NodeIdentifier

      public class NativeNodeIdentifier_c
      extends NodeIdentifier_c
      implements NativeNodeIdentifier

  This class identifies program points in missing or native code.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected polyglot.types.CodeInstance` | `code`
    `protected int` | `idx`

    - ### Fields inherited from class accrue.analysis.interprocanalysis.NodeIdentifier_c

      `context, hc_valid, memoizedHashCode, node`

    - ### Fields inherited from interface accrue.analysis.interprocanalysis.NativeNodeIdentifier

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeNodeIdentifier_c(AnalysisContext context, polyglot.types.CodeInstance ci)`
    `NativeNodeIdentifier_c(AnalysisContext context, polyglot.types.CodeInstance ci, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `computeHashCode()`
    `boolean` | `equals(java.lang.Object o)`
    `polyglot.types.CodeInstance` | `getCodeInstance()`
    `int` | `getIndex()`
    `boolean` | `isNative()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class accrue.analysis.interprocanalysis.NodeIdentifier_c

      `getContext, getNode, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface accrue.analysis.interprocanalysis.NodeIdentifier

      `getContext, getNode`

- - ### Field Detail

    - #### code

          protected final polyglot.types.CodeInstance code

    - #### idx

          protected final int idx

  - ### Constructor Detail

    - #### NativeNodeIdentifier_c

          public NativeNodeIdentifier_c(AnalysisContext context,
                                polyglot.types.CodeInstance ci,
                                int index)

      Parameters:
        `context` - The AnalysisContext the missing code executes in.
        `ci` - The code instance of the missing code.
        `idx` - An index for distinguishing multiple program points within missing code.

    - #### NativeNodeIdentifier_c

          public NativeNodeIdentifier_c(AnalysisContext context,
                                polyglot.types.CodeInstance ci)

  - ### Method Detail

    - #### isNative

          public boolean isNative()

      Specified by:
        `isNative` in interface `NodeIdentifier`
      Overrides:
        `isNative` in class `NodeIdentifier_c`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `NodeIdentifier_c`

    - #### computeHashCode

          protected int computeHashCode()

      Overrides:
        `computeHashCode` in class `NodeIdentifier_c`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `NodeIdentifier_c`

    - #### getCodeInstance

          public polyglot.types.CodeInstance getCodeInstance()

      Specified by:
        `getCodeInstance` in interface `NativeNodeIdentifier`

    - #### getIndex

          public int getIndex()

      Specified by:
        `getIndex` in interface `NativeNodeIdentifier`